Get All Transaction Contacts

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/{id}/contacts

Returns a list of all contacts associated with a specific transaction.

Path parameters

  • id string(uuid) Required

    TransactionGUID

Responses

  • 200 application/json

    List of contacts returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      ContactGUID

    • transactionId string(uuid)

      TransactionGUID this contact is associated with

    • preferredName string

      Preferred name; overrides firstName/lastName on real estate forms

    • firstName string
    • middleName string
    • lastName string
    • fullAddress string

      Street number and name

    • city string
    • state string
    • zipCode string
    • phone string
    • fax string
    • cell string
    • email string(email)
    • company string
    • typeId string(uuid)

      Contact type GUID. See Glossary for values.

  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
GET /v2/transactions/{id}/contacts
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/{id}/contacts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": "805355ec-7f7d-413e-986a-c767ea0632da",
    "transactionId": "34bfff2a-d186-48c6-b09d-6c15232cfe26",
    "preferredName": "Bobby Jones",
    "firstName": "Robert",
    "middleName": "P",
    "lastName": "Jones",
    "fullAddress": "100 Wellington St.",
    "city": "London",
    "state": "ON",
    "zipCode": "N6E B3B",
    "phone": "519-000-0000",
    "fax": "519-000-0001",
    "cell": "519-000-0002",
    "email": "bobbyjones@fakeemail.com",
    "company": "Bobby Jones Real Estate",
    "typeId": "918753cd-df9d-4a8c-b9c5-2d0115835ea0"
  }
]
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}